Bug 151770 - updatedb running on a large LVM disk makes whole computer crash
Summary: updatedb running on a large LVM disk makes whole computer crash
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-22 07:13 UTC by Paul Tarjan
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-08 15:10:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Tarjan 2005-03-22 07:13:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050225 Firefox/1.0.1 StumbleUpon/1.9991

Description of problem:
Whenever updatedb is ran on a large lvm disk the computer fails to respond to anyterhing (conosle or remote logins)

Disk is this size:
/dev/mapper/drive-files
                     330955256 268162252  45981384  86% /files

Here is lvs:
  LV    VG    Attr   LSize   Origin Snap%  Move Copy%
  files drive -wi-ao 320.66G
  home  drive -wi-ao   5.91G
  slash drive -wi-ao   7.88G
  swap  drive -wi-ao 768.00M

And vgs:
  VG    #PV #LV #SN Attr  VSize   VFree
  drive   3   4   0 wz--n 335.19G    0

And pgs:
  PV         VG    Fmt  Attr PSize   PFree
  /dev/hda2  drive lvm2 a-    74.41G    0
  /dev/hdb1  drive lvm2 a-   186.28G    0
  /dev/hdc1  drive lvm2 a-    74.50G    0




Version-Release number of selected component (if applicable):
lvm2-2.00.25-1.01

How reproducible:
Always

Steps to Reproduce:
1. Run updatedb
2. Shortly, machine becomes unresponsive

  

Actual Results:  Shortly, machine becomes unresponsive

Expected Results:  Locate database should have been constructed

Additional info:

Comment 1 Alasdair Kergon 2005-05-04 12:48:21 UTC
Does it respond eventually or does the machine hang (ie disk activity stops
completely)?

If it hangs, please use sysreq to obtain a dump of the process backtraces.


Comment 2 Alasdair Kergon 2005-08-08 15:10:08 UTC
If you see this problem again with the latest release (fc4), please reopen and
supply sysreq info.


Note You need to log in before you can comment on or make changes to this bug.